<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\DB;

class AddSaturdayWorkScheduleCategory extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        DB::table('categories')->insert([
            'c_code' => '10-05-2025',
            'c_name' => 'Ngày bắt đầu làm việc thứ 7 trong năm',
            'c_type' => 'SATURDAY_WORK_SCHEDULE',
            'c_value' => '2025',
            'c_active' => 1,
            'created_at' => now(),
            'updated_at' => now(),
        ]);
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        DB::table('categories')
            ->where('c_code', '10-05-2025')
            ->where('c_type', 'SATURDAY_WORK_SCHEDULE')
            ->delete();
    }
}
